<launch>
  <arg name="ns"        default="/"               />
  <arg name="out_mode"  default="$(arg out_mode)" />
  <arg name="webserver" default="True"            />
  <arg name="address"   default="127.0.0.1"       />
  <arg name="bag"       default="False"           />
  <arg name="bag_args"  default=""                />

  <group ns="$(arg ns)">

    <node name="skillset_monitoring"
      pkg="skillset_monitoring" type="monitor.py"/>

    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch"
      if="$(arg webserver)">
        <arg name="address" value="($arg address)" />
    </include>

    <node name="bag_resources" if="$(arg bag)"
      pkg="rosbag" type="record" 
      args="skillset_status {% for r in resources %}resource/{{ r.name }}_state {% endfor %}$(arg bag_args)"
      />

  </group>

</launch>
